> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Product

> ## Update a Product ##

<p>
Updates a product with the details provided. Changes will be made to the Draft ProductsDetail - a new Draft
ProductsDetail will be created if the product does not already have one. The draft must be submitted using the
POST /product/{productId}/submit method and go through an approval process before the changes take effect. All fields
are optional - only pass in the ones which you wish to change.
</p>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json put /{supplierapi}/product/{productId}
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/product/{productId}:
    put:
      tags:
        - Version 1
        - Products
      summary: Update a Product
      description: >-
        ## Update a Product ##


        <p>

        Updates a product with the details provided. Changes will be made to the
        Draft ProductsDetail - a new Draft

        ProductsDetail will be created if the product does not already have one.
        The draft must be submitted using the

        POST /product/{productId}/submit method and go through an approval
        process before the changes take effect. All fields

        are optional - only pass in the ones which you wish to change.

        </p>
      operationId: updateProductAction
      parameters:
        - name: productId
          in: path
          required: true
          schema:
            type: integer
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      requestBody:
        description: The message to send
        required: true
        content:
          application/json:
            schema:
              properties:
                productName:
                  description: Name of the Product.
                  type: string
                mediaId:
                  description: ID of the Media Image use as Product thumbnail.
                  type: integer
                country:
                  description: 2-character Country code.
                  type: string
                timezone:
                  description: String representing products timezone.
                  type: string
                productClassId:
                  description: ID of Product Class.
                  type: integer
                rating:
                  description: A rating in the range of 1-5 and accepting of half values.
                  type: number
                  format: float
                teaser:
                  description: Brief product description (up to 300 characters).
                  type: string
                description:
                  description: Longer product description.
                  type: string
                itineraryDetails:
                  description: Array of itinerary details in objects.
                  type: array
                  items:
                    type: string
                departuresPickups:
                  description: Information about departures or pickups.
                  type: string
                extras:
                  description: >-
                    Information about extras which are not included in product
                    price.
                  type: string
                voucherInstructions:
                  description: >-
                    Information for customer, including phone numbers and
                    confirmation instructions etc.
                  type: string
                voucherInformationContactDetailsBits:
                  description: >-
                    Combined bitwise value of address contact details to be
                    printed on voucher.
                  type: integer
                agentInstructions:
                  description: Additional information for the agent.
                  type: string
                noRefunds:
                  description: Disables refunds for the product.
                  type: boolean
                noRefundsMessage:
                  description: Message explaining why refunds are not available.
                  type: string
                cancellationFeePolicyId:
                  description: ID of product's cancellation fee policy.
                  type: integer
                contactPhone:
                  description: Contact phone number.
                  type: string
                contactEmail:
                  description: Contact email address.
                  type: string
                addressLineOne:
                  description: First line of Product Address.
                  type: string
                addressLineTwo:
                  description: Second line of Product Address.
                  type: string
                addressSuburb:
                  description: Suburb of Product Address.
                  type: string
                addressCity:
                  description: City of Product Address.
                  type: string
                addressState:
                  description: State of Product Address.
                  type: string
                addressPostcode:
                  description: Postcode of Product Address.
                  type: string
                startLocation:
                  description: Category ID of Product start location.
                  type: integer
                secondaryLocation:
                  description: Category ID of Product's secondary location.
                  type: integer
                endLocation:
                  description: Category ID of end location.
                  type: integer
                activityTypes:
                  description: Array of Category ID's (Integers) of activity type.
                  type: array
                  items:
                    type: integer
                accommodationTypes:
                  description: Array of Category ID's (Integers) of accommodation types.
                  type: array
                  items:
                    type: integer
                transportTypes:
                  description: Array of Category ID's (Integers) of transport types.
                  type: array
                  items:
                    type: integer
                minAgeRecommendation:
                  description: Minimum recommended age.
                  type: integer
                maxAgeRecommendation:
                  description: Maximum recommended age.
                  type: integer
                ageRestriction:
                  description: Description of any age restrictions.
                  type: string
                fitnessRequirements:
                  description: Description of fitness requirements.
                  type: string
                minGroupSize:
                  description: Minimum group size.
                  type: integer
                maxGroupSize:
                  description: Maximum group size.
                  type: integer
                dietaryRequirements:
                  description: Description of dietary requirements.
                  type: string
                luggageRequirements:
                  description: Description of luggage requirements.
                  type: string
                includedItems:
                  description: Array of items included in the fare.
                  type: array
                  items:
                    type: string
                bringItems:
                  description: Array of items that guest is expected to bring.
                  type: array
                  items:
                    type: string
                voucherTerms:
                  description: Description of terms and conditions.
                  type: string
                weekDays:
                  description: Array of days of week that trip departs.
                  type: array
                  items:
                    type: string
                departureDates:
                  description: Comma-separated tour departure dates
                  type: string
                recurrenceDate:
                  description: >-
                    Frequency of departure recurrence (e.g. 'Weekly' or
                    'Monthly').
                  type: string
                specialCircumstanceDate:
                  description: >-
                    Description of special dates which affect departure info
                    (e.g. Christmas Day).
                  type: string
                operatingPartner:
                  description: Operating partner.
                  type: string
                tourCode:
                  description: Tour code.
                  type: string
                mandatoryFieldCheckout:
                  description: >-
                    Array of customer fields absolutely necessary to make the
                    booking. Customer field names: title, phone, emailAddress,
                    dateOfBirth, redeemerCountry, postcode.
                  type: array
                  items:
                    type: string
              type: object
      responses:
        '204':
          description: Returned when successful.
        '400':
          description: Returned when there is an issue with the data provided.
        '403':
          description: Returned when the user is not authorized.
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.